Bug 1272638 - dnf repoquery --whatrequires is broken on Fedora 21.
dnf repoquery --whatrequires is broken on Fedora 21.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 00:40 EDT by Sergio Monteiro Basto
Modified: 2015-10-21 10:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 10:07:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2015-10-17 00:40:24 EDT
Actual results:

dnf repoquery --whatrequires libmtp 
Using metadata from Tue Oct 13 19:16:32 2015 (2 days, 6:17:05 hours old)
libmtp-devel-0:1.1.8-1.fc21.i686
libmtp-devel-0:1.1.8-1.fc21.x86_64
libmtp-examples-0:1.1.8-1.fc21.x86_64
libmtp-devel-0:1.1.9-1.fc21.i686
libmtp-devel-0:1.1.9-1.fc21.x86_64
libmtp-examples-0:1.1.9-1.fc21.x86_64

Expected results:

repoquery --whatrequires libmtp
amarok-0:2.8.0-11.fc21.x86_64
amarok-0:2.8.0-17.fc21.x86_64
calibre-0:2.10.0-1.fc21.x86_64
calibre-0:2.23.0-1.fc21.x86_64
cantata-0:1.4.1-1.fc21.x86_64
clementine-0:1.2.3-1.fc21.x86_64
clementine-0:1.2.3-10.fc21.x86_64
gnomad2-0:2.9.6-10.fc21.x86_64
gvfs-mtp-0:1.22.2-1.fc21.x86_64
gvfs-mtp-0:1.22.4-2.fc21.x86_64
kio_mtp-0:0.75-6.20131020git2063e75.fc21.x86_64
kio_mtp-0:0.75-10.20141221gitc418634.fc21.x86_64
libmtp-devel-0:1.1.8-1.fc21.i686
libmtp-devel-0:1.1.8-1.fc21.x86_64
libmtp-devel-0:1.1.9-1.fc21.i686
libmtp-devel-0:1.1.9-1.fc21.x86_64
libmtp-examples-0:1.1.8-1.fc21.x86_64
libmtp-examples-0:1.1.9-1.fc21.x86_64
python-pymtp-0:0.0.6-3.fc21.x86_64
rhythmbox-0:3.1-1.fc21.i686
rhythmbox-0:3.1-1.fc21.x86_64
simple-mtpfs-0:0.2-3.fc21.x86_64
vlc-core-0:2.2.0-0.2.fc21.x86_64
vlc-core-0:2.2.1-5.fc21.i686
vlc-core-0:2.2.1-5.fc21.x86_64
vlc-core-0:2.2.2-0.1.fc21.i686
vlc-core-0:2.2.2-0.1.fc21.x86_64

Additional info:
dnf --version
0.6.4
  Installed: dnf-0:0.6.4-7.fc21.noarch at 2015-10-13 17:53
  Built    : Fedora Project at 2015-09-23 14:30

  Installed: rpm-0:4.12.0.1-7.fc21.x86_64 at 2015-07-29 03:47
  Built    : Fedora Project at 2015-06-15 07:10
Comment 1 Michal Luscon 2015-10-21 10:07:24 EDT
This is a known difference between dnf repoquery and yum repoquery. You have to add --alldeps option to your query.

http://dnf-plugins-core.readthedocs.org/en/latest/repoquery.html
Comment 2 Sergio Monteiro Basto 2015-10-21 10:29:34 EDT
(In reply to Michal Luscon from comment #1)
> This is a known difference between dnf repoquery and yum repoquery. You have
> to add --alldeps option to your query.
> 
> http://dnf-plugins-core.readthedocs.org/en/latest/repoquery.html

man could you exemplify please 

dnf repoquery --whatrequires libmtp --alldeps 
(...)
Error: unrecognized arguments: --alldeps

Note You need to log in before you can comment on or make changes to this bug.